How to get Minidump Browser

Navigation: »No topics above this level«

How to get Minidump Browser

 Return to chapter overview

Minidump Browser is free for commercial use. Minidump Browser can be downloaded for Software Verify's website at https://www.softwareverify.com/product/minidump-browser/.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/miniDumpBrowser.chm
PDF | https://www.softwareverify.com/documentation/pdfs/miniDumpBrowser.pdf
Online | https://www.softwareverify.com/documentation/html/miniDumpBrowser/index.html

Whilst Minidump Browser is free for commercial use, Minidump Browser is copyrighted software and is not in the public domain.

You are free to use the software at your own risk.

You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

email | sales@softwareverify.com
web | https://www.softwareverify.com
blog | https://www.softwareverify.com/blog
twitter | http://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Minidump Browser do?

Navigation: »No topics above this level«

What does Minidump Browser do?

 Return to chapter overview

Minidump Browser allows you to manage and identify minidumps on your machine, or your network.

Options are provided for advanced filtering of minidumps and to launch debuggers and minidump visualisation tools.

32 bit and 64 bit

32 bit and 64 bit miniDumps are supported.


Menu

Navigation: »No topics above this level«

Menu

 Return to chapter overview

The main menu contains three menus, File, Software Updates and Help.


File

Navigation: Menu >

File

 Return to chapter overview

The File menu controls the scanning and display of minidumps.

File menu instructionStep Load minidump... instructionStep loads a minidump and displays it.

If the minidump is the wrong bit depth (32 bit when running 64 bit, or vice versa) then the other version of Minidump browser is started to display the minidump.

If any errors occur when trying to load the minidump, the load fails. This means that mindumps from ARM, IA64 and other architectures can't be displayed.

File menu instructionStep Load minidump ignoring failures... instructionStep loads a minidump and displays it.

If the minidump is the wrong bit depth (32 bit when running 64 bit, or vice versa) then the other version of Minidump browser is started to display the minidump.

If any errors occur when trying to load the minidump, the load fails to load just the failing part of the minidump and continues with other parts of the minidump.

This means that mindumps from ARM, IA64 and other architectures can be displayed, but may have incomplete information.

File menu instructionStep Exit instructionStep closes Minidump Browser.


Inspect

Navigation: Menu >

Inspect

 Return to chapter overview

The Inspect menu allows you to view arbitrary memory, or to search for memory.

Inspect menu instructionStep Search memory... instructionStep search for a text string or a sequence of bytes. The Search Memory Dialog is displayed.


Software Updates

Navigation: Menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Minidump Browser or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Minidump Browser you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Minidump Browser will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Minidump Browser

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Minidump Browser as follows:

·Ensure Minidump Browser and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Minidump Browser can automatically check to see if a new version of Minidump Browser is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: Menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Minidump Browser.

Help menu instructionStep About Minidump Browser... instructionStep displays information about Minidump Browser.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Library... instructionStep display the Software Verify library - our best blog articles grouped by related topics.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.

Help menu instructionStep How do I?... instructionStep displays the options for asking us how to do a particular task.


The user interface

Navigation: »No topics above this level«

The user interface

 Return to chapter overview

Enter topic text here.


The data display

Navigation: The user interface >

The data display

 Return to chapter overview

The Minidump Browser user interface is shown below.

When a minidump contains an exception the exception display will be automatically selected as the first display to show you information.

The display shows a summary page and then one page per logical group of data in the minidump. This means that some discrete sections in the minidump have been coalesced - for example ThreadListStream and ThreadExListStream are both represented in the Threads page. Each page is listed on the left hand side. Selecting that entry displays the page on the right hand side. The summary page lists each stream so that you can see which streams are present in the minidump and which are absent. Few minidumps (if any) contain all streams.


Summary

Navigation: The user interface > The data display >

Summary

The Summary page displays general information about the minidump, plus a list of all possible streams and data about streams that are present.

For each stream that is listed we indicate if the stream is present, the RVA (the offset from the start of the minidump) to the stream and the size of the stream.

If you want to see the complete command line (for the cases when it's too long to display) use the Copy button to copy the command line to the clipboard.

Command Line

To display the command line the minidump must contain Thread Info and memory data. The Thread Info is used to locate the Thread Environment Block, which is then used to locate the Process Environment Block, which is then used to read the command line.


Comments

Comments

The Comments page displays the contents of the CommentStreamA and CommentStreamW minidump streams.


Exception

Exception

The Exception page displays the contents of the ExceptionStream minidump stream.

A few extra fields are displayed to provide additional information: Exception Symbol, Exception Filename, Exception DLL.

Copy Text

Copy Text copies the text from the grid to the clipboard.

Each column is separated with a comma. Each line is separated by "\r\n".

Copy Event Viewer

Copy Event Viewer copies the exception data to the clipboard in the same format as the Windows Event Viewer. You can paste this data into some of our other tools (Minidump Browser, MapFile Browser, TDS Browser).

An example of the data is shown below for an Access Violation at 0x0c18459c in devenv.exe.

<Event>
<System>
<Provider Name="Windows Error Reporting">
</System>
<EventData>
<Data></Data>
<Data></Data>
<Data>APPCRASH</Data>
<Data></Data>
<Data></Data>
<Data>C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\IDE\devenv.exe</Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data>0xc0000005</Data>
<Data>0x0c18459c</Data>
<Data></Data>
<Data></Data>
<Data>STATUS_ACCESS_VIOLATION</Data>
<Data>OK</Data>
<Data></Data>
</EventData>
</Event>

Tools

If you have installed Minidump Browser, DWARF Browser, TDS Browser, MAP File Browser, the appropriate button to launch this tool will be enabled.

Launching the tool will attempt to load the appropriate PDB, DWARF, TDS, MAP data and then locate the symbol that matches the exception crash address.


Handles

Handles

The Handles page displays the contents of the HandleDataStream minidump stream.

For each handle that is present in the dump the following information is displayed:

Handle

The handle value.

Type

The handle type.

Object

The name of the object referenced by the handle.

Attributes

The attributes of the handle.

Granted Access

Access rights to the handle.

Handle Count

Number of references to the handle.

Pointer Count

Object specific count.

Object Info

Extra information about the object.

Reserved0


Handle Operation

Handle Operation

The Handle Operation page displays the contents of the HandleOperationListStream minidump stream.

Handle operation information relates to information collected by Application Verifier.

More information here: https://docs.microsoft.com/en-gb/windows/win32/api/minidumpapiset/ns-minidumpapiset-minidump_handle_operation_list


Memory

Memory

The Memory page displays the contents of the MemoryListStream and the Memory64ListStream minidump streams.

The information presented here is a list of memory start addresses and the size of the memory at that address.

Context Menu

A context menu provides a single option:

Clicking View data... opens a memory inspection dialog, allowing you to view the memory as BYTEs, WORDs, DWORDs or QWORDs. For executable code a disassembly view is provided.


Memory Info

Memory Info

The Memory Info page displays the contents of the MemoryInfoListStream minidump stream.

The information here allows you to inspect the memory protection status of areas of memory in the minidump.

If you'd like to view this information in graphical form you can also use VM Validator. VM Validator views memory data in live processes and minidumps.


Misc Info

Misc Info

The Misc Info page displays the contents of the MiscInfoStream minidump stream.

This section provides miscellaneous information about the minidump application.


Modules

Modules

The Modules page displays the contents of the ModuleListStream minidump stream.

For each module in the minidump this page displays the following information, dll load address (image base), size, checksum, timestamp, file version, product version, application attributes and module name (with optional path).


Tokens

Tokens

The Tokens page displays the contents of the TokenStream minidump stream.


Threads

Threads

The Threads page displays the contents of the ThreadListStream and ThreadExListStream minidump streams.

For each thread the following information is displayed: thread id, thread name, if the thread is suspended, it's priority class, it's priority level, the thread environment block (TEB) address, the stack location and size and the flags used to create the thread context, plus a dump of some thread context members (processor registers etc).


Thread Info

Thread Info

The Thread Info page displays the contents of the ThreadInfoListStream minidump stream.

For each thread the following information is displayed: thread id, thread name, dump flags, dump error status, thread exit status, thread creation time, exit time, kernel time, user time, thread start address and thread processor affinity.


Thread Names

Thread Names

The Thread Names page displays the contents of the ThreadNamesStream minidump stream.

For each thread the thread id and thread name is listed. We use this information to provide thread names on appropriate other minidump displays.


System Info

System Info

The System Info page displays the contents of the SystemInfoStream minidump stream.

This page provides information about the computer hardware and the operating system you are using.


System Memory Info

System Memory Info

The System Memory Info page displays the contents of the SystemMemoryInfoStream minidump stream.

This page provides detailed information about the memory state of the system.


Unloaded Modules

Unloaded Modules

The Unloaded Modules page displays the contents of the UnloadedModuleListStream minidump stream.

For each module in the minidump that has been unloaded this page displays the following information, dll load address (image base), size, checksum, timestamp, module name (with optional path).


VM Counters

VM Counters

The VM Counters page displays the contents of the ProcessVmCountersStream minidump stream.

This page provides detailed information about the virtual memory counters of the system.


Search Memory Dialog

Navigation: The user interface >

Search Memory Dialog

 Return to chapter overview

The Search Memory dialog is shown below.

You can search for text strings or you can search for byte sequences.

Search for a text string instructionStep type the string you wish to search for into the text box

Match case instructionStep select the check box if the string match should be case sensitive

Unicode instructionStep select the check box if the string match should be Unicode. If the check box is not selected the string match is ANSI

Search for bytes instructionStep type the bytes you wish to search for into the text box. A byte should be specified as a two digit hex value. Separate bytes with spaces

Search instructionStep perform the search. The progress of the search is shown on the progress bar, any matching search results are shown in the list.

Clear instructionStep clear the search results

A context menu on the search results provides a single option:

Clicking View data... opens a memory inspection dialog, allowing you to view the search results memory as BYTEs, WORDs, DWORDs or QWORDs.